Subject: bug#20527: 24.5; [w32] resizing window from bottom-left/top-right corner causes broken resizing

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 May 2015 20:57:05 +0300

> Date: Thu, 7 May 2015 09:10:31 -0400
> From: Vladimir Vukicevic <[email-masked]>
> 
> Trying to resize the Emacs window on win32 using the bottom-left or
> top-right corner causes broken resizing to happen, as described below.
> This has happened in a number of previous versions of emacs as well,
> from at least 24.3, and possibly earlier. Verified using -Q as well.
> 
> From the bottom-left:
> - If the mouse is moved left/right, the window will resize horizontally
> mostly properly, but will start shrinking vertically from the top
> - If the mouse is moved up, the bottom of the window will resize
> properly, but the window will rapidly shrink from the top
> - If the mouse is moved down, the window tends to just be moved along
> with the mouse, not resized.
> 
> Similarly from the top-right. Resizing using the top-left and bottom-right
> window corners works properly. It almost looks like some calculation
> for the new window size (in lines) is rounding in the wrong direction,
> so the window keeps constantly shrinking. Toggling menubar or toolbar
> on or off doesn't make a difference in behaviour.

Either I don't understand your description, or I cannot reproduce what
you describe.  All I see here is expected: Emacs just tries to keep
the frame and the windows at integral multiple of character size.  I
see no other unwarranted resizing.

If that's what you see, you may wish to try setting
frame-resize-pixelwise and maybe also window-resize-pixelwise to
non-nil values, perhaps you will like the results better.

If you see something else, try to describe it in more details, or
perhaps post a screencast.